0 Favourites

r97 Duplicate plugin

  • 95 release did not have duplicates in the plugins folder. After installation release 97, at the opening of the program was to show the warning. Perhaps the new version and duplicated one of its plugins.

    ---------------------------

    Construct 2 Check failure

    ---------------------------

    Check failure! This is probably a bug:

    Duplicate plugin ID specified; check all ID strings are unique

    Condition: plugins_by_id.find(cr::ToLower(plugin->GetID())) == plugins_by_id.end()

    File: html5.cpp

    Line: 205

    Function: void __thiscall Exporter::LoadPluginsAndBehaviors(void)

    Build: release 97 (32-bit) checked

    Component: HTML5 exporter

    (Last Win32 error: 6)

    Healing was simple. Removing all of the plugins folder. Re-installation of the program. At this stage the program was launched, there was no error. Repeat to add additional plug-ins. Errors are still there, working again as usual.

  • Construct 3

    Buy Construct 3

    Develop games in your browser. Powerful, performant & highly capable.

    Buy Now Construct 3 users don't see these ads
  • This is usually caused by a third party plugin using the wrong plugin ID. Which third party plugins did you have installed?

  • This is usually caused by a third party plugin using the wrong plugin ID. Which third party plugins did you have installed?

    I was wrong, it was a war plugins from the repository. Maybe I should be careful, automatically updating the plugins from the repository. I would like to have the most complete set of tools, but it is worth remembering that mistakes happen.

Jump to:
Active Users
There are 1 visitors browsing this topic (0 users and 1 guests)
Similar Topics Posts Views Last Post
Unread hot topic
1,068 148,677
Reflextions's avatar
Reflextions
Unread hot topic
0 Favourites
[plugin] firebase
687 65,154
cybertron7's avatar
cybertron7
Unread hot topic
0 Favourites
[PLUGIN] Canvas
627 186,698
zenox98's avatar
zenox98